#include <iostream>
#include <bitset>
#include <cstdint>
#include <iomanip>

int main() {
    uint16_t operand1, operand2;
    char operation;

    std::cout << "   (0-65535): ";
    std::cin >> operand1;

    std::cout << "  (&, |, ^): ";
    std::cin >> operation;

    std::cout << "   (0-65535): ";
    std::cin >> operand2;

    uint16_t result;

    switch (operation) {
        case '&':
            result = operand1 & operand2;
            break;
        case '|':
            result = operand1 | operand2;
            break;
        case '^':
            result = operand1 ^ operand2;
            break;
        default:
            std::cerr << ":  !" << std::endl;
            return 1;
    }

    std::cout << "   : 0x"
              << std::hex << std::uppercase << result << std::endl;

    std::cout << "   : "
              << std::bitset<16>(result) << std::endl;

    return 0;
}
